#212 closed enhancement (fixed)

implement mutual exclusion (__ENV_LOCK) for newlibc environment

Reported by: strauman Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: score Version: unknown
Severity: minor Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Currently, access to the libc environment getenv()/putenv()
is not protected from race conditions.

Release:
RTEMS-ss-20020301

How-To-Repeat:
look at the source

Attachments (1)

envlock.diff (3.7 KB) - added by strauman on Dec 3, 2006 at 1:31:13 PM.
envlock.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on May 14, 2002 at 6:02:33 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on May 15, 2002 at 3:53:32 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: I have merged usage comments and added a conditional to let

the code share the libio open/close mutex.

Changed on Dec 3, 2006 at 1:31:13 PM by strauman

Attachment: envlock.diff added

envlock.diff

Note: See TracTickets for help on using tickets.